%define name radeon-firmware
%define version 20120322
%define release %mkrel 3

Summary: ATI/AMD Radeon firmware files
Name:	 %{name}
Version: %{version}
Release: %{release}
# extracted from git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
# all files in radeon/ dir, LICENSE.radeon_rlc and WHENCE (license for some files)
# git archive --prefix=radeon-firmware/ HEAD radeon LICENSE.radeon_rlc WHENCE | xz > radeon-firmware-20110601.tar.xz
Source0: %{name}-%{version}.tar.xz
License: Freeware
Group:	 System/Kernel and hardware
Url:	 http://ati.amd.com/
BuildArch: noarch
Obsoletes: radeon-rlc-firmware
Conflicts: kernel-firmware < 20120219-1
Conflicts: kernel-firmware-nonfree < 20120219-1

%description
Firmware files for ATI/AMD Radeon graphics cards.

This package contains all the firmware files (including RLC) for the
following Radeon series: R100, R200, R300, R400, R500, R600, R700,
Evergreen, Fusion, Northern Islands, Southern Islands, Cayman, Llano,
Trinity.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware/radeon
install -m644 radeon/* %{buildroot}/lib/firmware/radeon/

%clean
rm -rf %{buildroot}

%post
if [ "$1" = 1 ] ; then
    /usr/sbin/bootloader-config --action rebuild-initrds

    # remove nokmsboot if ok
    /sbin/display_driver_helper --setup-boot-kms &>/dev/null || :
fi

%postun
if [ "$1" = 0 ] ; then
    # add nokmsboot if needed
    /sbin/display_driver_helper --setup-boot-kms &>/dev/null || :
fi

%files
%doc LICENSE.* WHENCE
/lib/firmware/radeon/*.bin


%changelog

* Thu Apr 05 2012 anssi <anssi> 20120322-3.mga2
+ Revision: 228622
- add/remove 'nokmsboot' boot option as appropriate when installing
  or uninstalling the package, depending on configured driver and
  hardware (see mga #3466)

* Thu Mar 22 2012 tmb <tmb> 20120322-2.mga2.nonfree
+ Revision: 225782
- fix conflicts against kernel-firmware(-nonfree)

* Thu Mar 22 2012 tmb <tmb> 20120322-1.mga2.nonfree
+ Revision: 225670
- add new firmwares:
  * PITCAIRN, TAHITI, VERDE (Southern Islands / HD7xxx)
  * ARUBA (trinity APU)

* Tue Mar 06 2012 tmb <tmb> 20120219-1.mga2.nonfree
+ Revision: 220090
- update to 2012-02-19 snapshot

* Mon Dec 19 2011 tmb <tmb> 20110601-4.mga2.nonfree
+ Revision: 184089
- rebuild initrds on initial install

* Tue Nov 08 2011 anssi <anssi> 20110601-3.mga2.nonfree
+ Revision: 165571
- add regular firmware for r100-r700 (moved from kernel-firmware)
- update summary, description and license tags

  + tmb <tmb>
    - add SUMO + SUMO2 firmwares for llano APUs

* Mon Mar 21 2011 tmb <tmb> 20110310-1.mga1
+ Revision: 75332
- Obsolete radeon-rlc-firmware
- Conflict old kernel-firmware-extra
- package renamed to radeon-firmware as in now carries all radeon
  firmware files previously shipped in kernel-firmware-extra
- rename spec to match package name
- rename to radeon-firmware

* Thu Mar 17 2011 tmb <tmb> 1-7.mga1
+ Revision: 73312
- add Cayman rlc firmware

* Tue Jan 25 2011 tmb <tmb> 1-6.mga1
+ Revision: 38947
- add BTC rlc firmware

* Sat Jan 15 2011 tmb <tmb> 1-5.mga1
+ Revision: 19487
- imported package radeon-rlc-firmware

